<script>
    import { onMount } from "svelte";
    import { isTauri } from "@tauri-apps/api/core";

    let { children } = $props();
    let isNative = $state(false);
    let mounted = $state(false);

    onMount(() => {
        isNative = isTauri();
        mounted = true;
    });
</script>

{#if mounted && isNative}
    {@render children()}
{/if}
